aboutsummaryrefslogtreecommitdiffstats
path: root/1.2-netsec/contrib/init.d/rc.redhat.asterisk
diff options
context:
space:
mode:
Diffstat (limited to '1.2-netsec/contrib/init.d/rc.redhat.asterisk')
-rwxr-xr-x1.2-netsec/contrib/init.d/rc.redhat.asterisk136
1 files changed, 0 insertions, 136 deletions
diff --git a/1.2-netsec/contrib/init.d/rc.redhat.asterisk b/1.2-netsec/contrib/init.d/rc.redhat.asterisk
deleted file mode 100755
index 615ec2746..000000000
--- a/1.2-netsec/contrib/init.d/rc.redhat.asterisk
+++ /dev/null
@@ -1,136 +0,0 @@
-#!/bin/sh
-# $Id: asterisk,v 1.3 2005/11/17 22:30:01 Gregory Boehnlein <damin@nacs.net>
-#
-# asterisk Starts, Stops and Reloads Asterisk.
-#
-# chkconfig: 2345 40 60
-# description: Asterisk PBX and telephony daemon.
-# processname: asterisk
-# pidfile: /var/run/asterisk.pid
-#
-# Thu Nov 17 2005 Gregory Boehnlein <damin@nacs.net>
-# - Updated Version to 1.3
-# - Reversed behavior of LD_ASSUME_KERNEL=2.4.1
-# - Added detailed failure messages
-#
-# Sun Jul 18 2004 Gregory Boehnlein <damin@nacs.net>
-# - Updated Version to 1.2
-# - Added test for safe_asterisk
-# - Verified SIGTERM issued by "killproc" ensures "stop gracefully"
-# - Added support for -U and -G command line options
-# - Modified "reload" to call asterisk -rx 'reload'
-
-# Use this option to specify a different configuration directory
-#AST_CONFIG=/etc/asterisk
-
-# Installation directory
-AST_SBIN=/usr/sbin
-
-# Uncomment the following and set them to the user/groups that you
-# want to run Asterisk as. NOTE: this requires substantial work to
-# be sure that Asterisk's environment has permission to write the
-# files required for its operation, including logs, its comm
-# socket, the asterisk database, etc.
-#AST_USER="asterisk"
-#AST_GROUP="asterisk"
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-if ! [ -x $AST_SBIN/asterisk ] ; then
- echo "ERROR: /usr/sbin/asterisk not found"
- exit 0
-fi
-
-if ! [ -d $AST_CONFIG ] ; then
- echo "ERROR: /etc/asterisk directory not found"
- exit 0
-fi
-
-# Uncomment this ONLY if you know what you are doing.
-# export LD_ASSUME_KERNEL=2.4.1
-
-# Full path to asterisk binary
-DAEMON=$AST_SBIN/asterisk
-
-# Full path to safe_asterisk script
-SAFE_ASTERISK=$AST_SBIN/safe_asterisk
-
-# Allow configuration overrides in /etc/sysconfig/asterisk
-CONFIG0=`readlink $0`
-if [ $CONFIG0 = "" ]; then
- CONFIGFILE=/etc/sysconfig/`basename $0`
-else
- CONFIGFILE=/etc/sysconfig/`basename $CONFIG0`
-fi
-[ -x $CONFIGFILE ] && . $CONFIGFILE
-
-RETVAL=0
-
-start() {
- # Start daemons.
- echo -n $"Starting asterisk: "
- if [ -f $SAFE_ASTERISK ] ; then
- DAEMON=$SAFE_ASTERISK
- fi
- if [ $AST_USER ] ; then
- ASTARGS="-U $AST_USER"
- fi
- if [ $AST_GROUP ] ; then
- ASTARGS="$ASTARGS -G $AST_GROUP"
- fi
- if [ $AST_CONFIG ]; then
- ASTARGS="$ASTARGS -C $AST_CONFIG"
- fi
- daemon $DAEMON $ASTARGS
- RETVAL=$?
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/asterisk
- echo
- return $RETVAL
-}
-
-stop() {
- # Stop daemons.
- echo -n $"Shutting down asterisk: "
- killproc asterisk
- RETVAL=$?
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/asterisk
- echo
- return $RETVAL
-}
-
-restart() {
- stop
- start
-}
-
-reload() {
- $DAEMON -rx 'reload' > /dev/null 2> /dev/null
-}
-
-# See how we were called.
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart)
- restart
- ;;
- reload)
- reload
- ;;
- condrestart)
- [ -f /var/lock/subsys/asterisk ] && restart || :
- ;;
- status)
- status asterisk
- ;;
- *)
- echo "Usage: asterisk {start|stop|restart|reload|condrestart|status}"
- exit 1
-esac
-
-exit $?